libperinci-cmdline-perl_1.77-1_all.deb


Advertisement

Description

libperinci-cmdline-perl - Rinci/Riap-based command-line application framework

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libperinci-cmdline-perl
Package version 1.77
Package release 1
Package architecture all
Package type deb
Installed size 88 B
Download size 39.15 KB
Official Mirror archive.ubuntu.com
Perinci::CmdLine is currently empty, because the implementation is currently
split into Perinci::CmdLine::Lite (the lightweight version) and
Perinci::CmdLine::Classic (the full but heavier version). There's also
Perinci::CmdLine::Any that lets you choose between the two dynamically, à la
Any::Moose. And finally there's also Perinci::CmdLine::Inline, the even more
lightweight version.

Alternatives

Package Version Architecture Repository
libperinci-cmdline-perl_1.77-1_all.deb 1.77 all Ubuntu Universe
libperinci-cmdline-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libperinci-cmdline-perl_1.77-1_all.deb
Source Package libperinci-cmdline-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperinci-cmdline-perl deb package:
    # sudo apt-get install libperinci-cmdline-perl

Files

Path
/usr/share/doc/libperinci-cmdline-perl/changelog.Debian.gz
/usr/share/doc/libperinci-cmdline-perl/copyright
/usr/share/man/man3/Perinci::CmdLine.3pm.gz
/usr/share/man/man3/Perinci::CmdLine::Manual.3pm.gz
/usr/share/man/man3/Perinci::CmdLine::Manual::Examples.3pm.gz
/usr/share/man/man3/Perinci::CmdLine::Manual::FAQ.3pm.gz
/usr/share/perl5/Perinci/CmdLine.pm
/usr/share/perl5/Perinci/CmdLine/Manual.pod
/usr/share/perl5/Perinci/CmdLine/Manual/Examples.pod
/usr/share/perl5/Perinci/CmdLine/Manual/FAQ.pod

Changelog

2018-01-01 - gregor herrmann <gregoa@debian.org>
libperinci-cmdline-perl (1.77-1) unstable; urgency=medium
* Import upstream version 1.77.
* Update years of upstream and packaging copyright.
* Declare compliance with Debian Policy 4.1.3.
* Bump debhelper compatibility level to 10.
2016-12-25 - gregor herrmann <gregoa@debian.org>
libperinci-cmdline-perl (1.50-1) unstable; urgency=medium
* Import upstream version 1.50.
* Drop spelling.patch, applied upstream.
2016-10-31 - gregor herrmann <gregoa@debian.org>
libperinci-cmdline-perl (1.49-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: use HTTPS for GitHub URLs.
* Import upstream version 1.49.
* Update years of upstream and packaging copyright.
* Declare compliance with Debian Policy 3.9.8.
* Fix spelling error in long description.
* Add a patch to fix a spelling mistake in the POD.
2015-10-22 - gregor herrmann <gregoa@debian.org>
libperinci-cmdline-perl (1.48-1) unstable; urgency=medium
* Import upstream version 1.48.
* Drop spelling.patch, merged upstream.
2015-10-21 - gregor herrmann <gregoa@debian.org>
libperinci-cmdline-perl (1.47-1) unstable; urgency=low
* Initial release (closes: #802622).

See Also

Package Description
libperinci-object-perl_0.30-1_all.deb module that provides a object-oriented interface for Rinci
libperinci-sub-normalize-perl_0.19-1_all.deb Perl module to normalize Rinci function metadata
libperinci-sub-util-perl_0.46-1_all.deb Perl module that is a helper to write functions
libperinci-sub-util-propertymodule-perl_0.46-1_all.deb module to detect which property modules are used with Perinci
libperl-apireference-perl_0.22-7_all.deb Perl module to programmatically query the perlapi
libperl-critic-perl_1.130-1_all.deb Perl module to critique code for best practices
libperl-destruct-level-perl_0.02-2build4_i386.deb Perl module to change Perl's destruction level
libperl-metrics-simple-perl_0.18-1_all.deb module to provide metrics of Perl code
libperl-minimumversion-perl_1.38-1_all.deb module to determine minimum required version of perl required
libperl-osnames-perl_0.11-1_all.deb Perl module to list possible $^O ($OSNAME) values with description
libperl-prereqscanner-perl_1.023-1_all.deb module for extracting prerequisites from Perl code
libperl-version-perl_1.013-1_all.deb module to parse and manipulate Perl version strings
libperl4-corelibs-perl_0.004-1_all.deb libraries historically supplied with Perl 4
libperl4caml-ocaml-dev_0.9.5-5build2_i386.deb Use Perl code in OCaml programs, development files
libperl4caml-ocaml-doc_0.9.5-5build2_all.deb Use Perl code in OCaml programs, documentation
Advertisement
Advertisement